# \Thelia\Model\BaseMessageVersionQuery

Base class that represents a query for the 'message_version' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByCode()
filterBySecured()
filterByRef()
filterByCreatedAt()
filterByUpdatedAt()
filterByVersion()
filterByVersionCreatedAt()
filterByVersionCreatedBy()
filterByMessage()
joinMessage()
useMessageQuery()
prune()
doDeleteAll()
delete()
orderById()
orderByCode()
orderBySecured()
orderByRef()
orderByCreatedAt()
orderByUpdatedAt()
orderByVersion()
orderByVersionCreatedAt()
orderByVersionCreatedBy()
groupById()
groupByCode()
groupBySecured()
groupByRef()
groupByCreatedAt()
groupByUpdatedAt()
groupByVersion()
groupByVersionCreatedAt()
groupByVersionCreatedBy()
leftJoin()
rightJoin()
innerJoin()
leftJoinMessage()
rightJoinMessage()
innerJoinMessage()
findOne()
findOneOrCreate()
findOneById()
findOneByCode()
findOneBySecured()
findOneByRef()
findOneByCreatedAt()
findOneByUpdatedAt()
findOneByVersion()
findOneByVersionCreatedAt()
findOneByVersionCreatedBy()
findById()
findByCode()
findBySecured()
findByRef()
findByCreatedAt()
findByUpdatedAt()
findByVersion()
findByVersionCreatedAt()
findByVersionCreatedBy()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/MessageVersionQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\MessageVersionQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\MessageVersionQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\MessageVersionQuery

Returns a new ChildMessageVersionQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\MessageVersionQuery

#

static

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\MessageVersion|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\MessageVersion|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\MessageVersionQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\MessageVersionQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByCode()

    filterByCode(string $code, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the code column

Example usage: `$query->filterByCode('fooValue'); // WHERE code = 'fooValue' $query->filterByCode('%fooValue%'); // WHERE code LIKE '%fooValue%'`

#### Parameters

string | $code | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterBySecured()

    filterBySecured(mixed $secured, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the secured column

Example usage: `$query->filterBySecured(1234); // WHERE secured = 1234 $query->filterBySecured(array(12, 34)); // WHERE secured IN (12, 34) $query->filterBySecured(array('min' => 12)); // WHERE secured > 12`

#### Parameters

mixed | $secured | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByRef()

    filterByRef(string $ref, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the ref column

Example usage: `$query->filterByRef('fooValue'); // WHERE ref = 'fooValue' $query->filterByRef('%fooValue%'); // WHERE ref LIKE '%fooValue%'`

#### Parameters

string | $ref | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersion()

    filterByVersion(mixed $version, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the version column

Example usage: `$query->filterByVersion(1234); // WHERE version = 1234 $query->filterByVersion(array(12, 34)); // WHERE version IN (12, 34) $query->filterByVersion(array('min' => 12)); // WHERE version > 12`

#### Parameters

mixed | $version | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersionCreatedAt()

    filterByVersionCreatedAt(mixed $versionCreatedAt, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the version_created_at column

Example usage: `$query->filterByVersionCreatedAt('2011-03-14'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt('now'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt(array('max' => 'yesterday')); // WHERE version_created_at > '2011-03-13'`

#### Parameters

mixed | $versionCreatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersionCreatedBy()

    filterByVersionCreatedBy(string $versionCreatedBy, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query on the version_created_by column

Example usage: `$query->filterByVersionCreatedBy('fooValue'); // WHERE version_created_by = 'fooValue' $query->filterByVersionCreatedBy('%fooValue%'); // WHERE version_created_by LIKE '%fooValue%'`

#### Parameters

string | $versionCreatedBy | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByMessage()

    filterByMessage(\Thelia\Model\Message|\Propel\Runtime\Collection\ObjectCollection $message, string $comparison) : \Thelia\Model\MessageVersionQuery

Filter the query by a related \Thelia\Model\Message object

#### Parameters

\Thelia\Model\Message|\Propel\Runtime\Collection\ObjectCollection | $message | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### joinMessage()

    joinMessage(string $relationAlias, string $joinType) : \Thelia\Model\MessageVersionQuery

Adds a JOIN clause to the query using the Message relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### useMessageQuery()

    useMessageQuery(string $relationAlias, string $joinType) : \Thelia\Model\MessageQuery

Use the Message relation Message object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\MessageQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\MessageVersion $messageVersion) : \Thelia\Model\MessageVersionQuery

Exclude object from result

#### Parameters

\Thelia\Model\MessageVersion | $messageVersion | Object to remove from the list of results

#### Returns

\Thelia\Model\MessageVersionQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the message_version table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildMessageVersion or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\MessageVersionQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### orderByCode()

    orderByCode($order =) : \Thelia\Model\MessageVersionQuery

Order by the code column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### orderBySecured()

    orderBySecured($order =) : \Thelia\Model\MessageVersionQuery

Order by the secured column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### orderByRef()

    orderByRef($order =) : \Thelia\Model\MessageVersionQuery

Order by the ref column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\MessageVersionQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\MessageVersionQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### orderByVersion()

    orderByVersion($order =) : \Thelia\Model\MessageVersionQuery

Order by the version column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### orderByVersionCreatedAt()

    orderByVersionCreatedAt($order =) : \Thelia\Model\MessageVersionQuery

Order by the version_created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### orderByVersionCreatedBy()

    orderByVersionCreatedBy($order =) : \Thelia\Model\MessageVersionQuery

Order by the version_created_by column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\MessageVersionQuery

Group by the id column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupByCode()

    groupByCode() : \Thelia\Model\MessageVersionQuery

Group by the code column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupBySecured()

    groupBySecured() : \Thelia\Model\MessageVersionQuery

Group by the secured column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupByRef()

    groupByRef() : \Thelia\Model\MessageVersionQuery

Group by the ref column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\MessageVersionQuery

Group by the created_at column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\MessageVersionQuery

Group by the updated_at column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupByVersion()

    groupByVersion() : \Thelia\Model\MessageVersionQuery

Group by the version column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupByVersionCreatedAt()

    groupByVersionCreatedAt() : \Thelia\Model\MessageVersionQuery

Group by the version_created_at column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### groupByVersionCreatedBy()

    groupByVersionCreatedBy() : \Thelia\Model\MessageVersionQuery

Group by the version_created_by column

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\MessageVersionQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\MessageVersionQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\MessageVersionQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### leftJoinMessage()

    leftJoinMessage($relationAlias =) : \Thelia\Model\MessageVersionQuery

Adds a LEFT JOIN clause to the query using the Message relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### rightJoinMessage()

    rightJoinMessage($relationAlias =) : \Thelia\Model\MessageVersionQuery

Adds a RIGHT JOIN clause to the query using the Message relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### innerJoinMessage()

    innerJoinMessage($relationAlias =) : \Thelia\Model\MessageVersionQuery

Adds a INNER JOIN clause to the query using the Message relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageVersionQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion matching the query, or a new ChildMessageVersion object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneByCode()

    findOneByCode(string $code) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the code column

#### Parameters

string | $code |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneBySecured()

    findOneBySecured(int $secured) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the secured column

#### Parameters

int | $secured |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneByRef()

    findOneByRef(string $ref) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the ref column

#### Parameters

string | $ref |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneByVersion()

    findOneByVersion(int $version) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the version column

#### Parameters

int | $version |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneByVersionCreatedAt()

    findOneByVersionCreatedAt(string $version_created_at) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findOneByVersionCreatedBy()

    findOneByVersionCreatedBy(string $version_created_by) : \Thelia\Model\MessageVersion

Return the first ChildMessageVersion filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

\Thelia\Model\MessageVersion

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildMessageVersion objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByCode()

    findByCode(string $code) : array

Return ChildMessageVersion objects filtered by the code column

#### Parameters

string | $code |

#### Returns

array

#

## Tags

None found

### findBySecured()

    findBySecured(int $secured) : array

Return ChildMessageVersion objects filtered by the secured column

#### Parameters

int | $secured |

#### Returns

array

#

## Tags

None found

### findByRef()

    findByRef(string $ref) : array

Return ChildMessageVersion objects filtered by the ref column

#### Parameters

string | $ref |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildMessageVersion objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildMessageVersion objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findByVersion()

    findByVersion(int $version) : array

Return ChildMessageVersion objects filtered by the version column

#### Parameters

int | $version |

#### Returns

array

#

## Tags

None found

### findByVersionCreatedAt()

    findByVersionCreatedAt(string $version_created_at) : array

Return ChildMessageVersion objects filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

array

#

## Tags

None found

### findByVersionCreatedBy()

    findByVersionCreatedBy(string $version_created_by) : array

Return ChildMessageVersion objects filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\MessageVersion

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\MessageVersion —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\MessageVersion|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\MessageVersion|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### MessageVersionQuery.php